CFLAGS = $(CFLAGS) -Ox -DUNICODE -D_UNICODE -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NON_CONFORMING_SWPRINTFS
LIBS = $(LIBS) bufferoverflowU.lib

!if "$(CPU)" == "AMD64"
O = amd64
!else if "$(CPU)" == "i386"
O = i386
!else
!error Unknown CPU: $(CPU)
!endif

all: $(O) $(O)/ln.exe $(O)/senable.exe

$(O):
	mkdir $(O)

$(O)/ln.exe: ln.c ioctlcmd.h ln.mak
	cl $(CFLAGS) -Fo$(O)/ln.obj -Fe$(O)/ln.exe ln.c advapi32.lib $(LIBS)

$(O)/senable.exe: senable.c senable.h ioctlcmd.h ln.mak
	cl $(CFLAGS) -Fo$(O)/senable.obj -Fe$(O)/senable.exe senable.c advapi32.lib user32.lib $(LIBS)
